> For a complete page index, fetch https://developer.close.com/llms.txt

# List bulk edits

GET https://api.close.com/api/v1/bulk_action/edit/

Reference: https://developer.close.com/api/resources/bulk-actions/edit/list

## Authentication

- `Authorization` header (basic auth, required) — Use your API key as the username and leave the password empty.
- `Authorization` header (bearer token, required)

## Request

### Query parameters

- `_limit` (integer, optional, default: 100) — Number of results to return.
- `_skip` (integer, optional, default: 0) — Number of results to skip before returning, for pagination.
- `_fields` (string, optional) — Comma-separated list of fields to include in the response.

## Response

### 200

Successful response

- `data` (list of object, required)
  - `created_by` (string, required, nullable)
  - `custom_field_name` (string, required, nullable)
  - `custom_field_value` (string, required, nullable)
  - `date_created` (datetime, required, nullable)
  - `date_updated` (datetime, required, nullable)
  - `id` (string, required)
  - `lead_status_id` (string, required, nullable)
  - `n_leads` (integer, required, nullable)
  - `n_leads_processed` (integer, required)
  - `n_objects` (integer, required, nullable)
  - `n_objects_processed` (integer, required)
  - `organization_id` (string, required)
  - `query` (string, required, nullable)
  - `results_limit` (integer, required, nullable)
  - `s_query` (map from string to any, required)
  - `send_done_email` (boolean, required)
  - `sort` (list of map from string to any, required)
  - `status` (enum, required, nullable)
    - Allowed values: `created`, `loading`, `processing`, `done`, `paused`, `resuming`, `error`
  - `type` (enum, required)
    - Allowed values: `set_custom_field`, `clear_custom_field`, `set_lead_status`, `set_contact_custom_field`, `clear_contact_custom_field`, `set_activity_custom_field`, `clear_activity_custom_field`, `set_global_custom_field`, `clear_global_custom_field`, `set_opportunity_custom_field`, `clear_opportunity_custom_field`, `set_custom_object_custom_field`, `clear_custom_object_custom_field`
  - `updated_by` (string, required, nullable)
- `has_more` (boolean, required)

## Examples

**Response**

```json
{
  "data": [
    {
      "created_by": "user_N6KhMpzHRCYQHdn4gRNIFNN5JExnsrprKA6ekxM63XA",
      "custom_field_name": null,
      "custom_field_value": null,
      "date_created": "2015-03-16T00:19:50.141000+00:00",
      "date_updated": "2015-03-16T00:20:09.442000+00:00",
      "id": "bulkedit_asdVYCm54A0El829k39e7nIvlCSDDhVLuyb8aspGSET",
      "lead_status_id": "stat_t7Zd2uspYPvBafR5bu9agrFZFs8GToWIbDnkqSk8nT8",
      "n_leads": 100,
      "n_leads_processed": 100,
      "n_objects": 100,
      "n_objects_processed": 100,
      "organization_id": "orga_RbREgmiiwcr1w2b4cOnCMQaQPSIFxMqAD2Dh243uxcH",
      "query": "lead_status:Potential",
      "results_limit": null,
      "s_query": {
        "queries": [
          {
            "object_type": "lead",
            "type": "object_type"
          },
          {
            "condition": {
              "mode": "full_words",
              "type": "text",
              "value": "ACME Inc."
            },
            "field": {
              "field_name": "name",
              "object_type": "lead",
              "type": "regular_field"
            },
            "type": "field_condition"
          }
        ],
        "type": "and"
      },
      "send_done_email": false,
      "sort": [],
      "status": "done",
      "type": "set_lead_status",
      "updated_by": "user_N6KhMpzHRCYQHdn4gRNIFNN5JExnsrprKA6ekxM63XA"
    }
  ],
  "has_more": false
}
```

**SDK Code**

```python bulk_actions.edit_list_example
import requests

url = "https://api.close.com/api/v1/bulk_action/edit/"

response = requests.get(url, auth=("<CLOSE_API_KEY>", ""))

print(response.json())
```

```javascript bulk_actions.edit_list_example
const url = 'https://api.close.com/api/v1/bulk_action/edit/';
const credentials = btoa("<CLOSE_API_KEY>:");

const options = {method: 'GET', headers: {Authorization: `Basic ${credentials}`}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go bulk_actions.edit_list_example
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.close.com/api/v1/bulk_action/edit/"

	req, _ := http.NewRequest("GET", url, nil)

	req.SetBasicAuth("<CLOSE_API_KEY>", "")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby bulk_actions.edit_list_example
require 'uri'
require 'net/http'

url = URI("https://api.close.com/api/v1/bulk_action/edit/")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request.basic_auth("<CLOSE_API_KEY>", "")

response = http.request(request)
puts response.read_body
```

```java bulk_actions.edit_list_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.close.com/api/v1/bulk_action/edit/")
  .basicAuth("<CLOSE_API_KEY>", "")
  .asString();
```

```php bulk_actions.edit_list_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.close.com/api/v1/bulk_action/edit/', [
  'headers' => [
  ],
    'auth' => ['<CLOSE_API_KEY>', ''],
]);

echo $response->getBody();
```

```csharp bulk_actions.edit_list_example
using RestSharp;
using RestSharp.Authenticators;

var client = new RestClient("https://api.close.com/api/v1/bulk_action/edit/");
client.Authenticator = new HttpBasicAuthenticator("<CLOSE_API_KEY>", "");
var request = new RestRequest(Method.GET);

IRestResponse response = client.Execute(request);
```